#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  KDE Frameworks 5 Based Applications

- Next

  Kdenlive-20.12.2

- Up
- Home

# Ark-20.12.2

## Introduction to Ark

The Ark package is a KF5 archive tool. It is a graphical front end to tar and similar tools.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/20.12.2/src/ark-20.12.2.tar.xz

- Download MD5 sum: 5a75b98c2e7115cebe9f01a469258d8b

- Download size: 2.6 MB

- Estimated disk space required: 33 MB

- Estimated build time: 0.3 SBU (using parallelism=4)

### Ark Dependencies

#### Required

KDE Frameworks-5.79.0 and libarchive-3.5.1

#### Recommended

cpio-2.13, p7zip-17.03, UnRar-6.0.3, UnZip-6.0, and Zip-3.0

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/ark5

## Installation of Ark

Install Ark by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: ark
Installed Libraries: libkerfuffle.so
Installed Directories: $KF5_PREFIX/lib/plugins/kerfuffle, $KF5_PREFIX/share/doc/HTML/*/ark, and $KF5_PREFIX/share/kxmlgui5/ark

### Short Descriptions

ark | is a KF5-based Archive Manager

Last updated on 2021-02-24 06:51:33 -0800

- Prev

  KDE Frameworks 5 Based Applications

- Next

  Kdenlive-20.12.2

- Up
- Home